//
//  WeatherData.m
//  WeatherParser
//
//  Created by kelley.ricker on 12/15/15.
//  Copyright © 2015 GrapeCity. All rights reserved.
//

#import "WeatherData.h"
#import "FetchWeatherData.h"

@implementation WeatherData
-(id)initWithDate:(NSDate *)date weatherDescription:(NSString *) weatherDescription highTemp:(NSNumber *)highTemp lowTemp:(NSNumber *)lowTemp humidity:(NSNumber *)humidity pressure:(NSNumber *)pressure{
    self = [super init];
    if(self){
        _date = date;
        _weatherDescription = weatherDescription;
        _highTemp = highTemp;
        _lowTemp = lowTemp;
        _humidity = humidity;
        _pressure = pressure;
    }
    return self;
}
@end
