//
//  XMLParser.h
//  WeatherParser
//
//  Created by kelley.ricker on 12/16/15.
//  Copyright © 2015 GrapeCity. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <XuniFlexChartKit/XuniFlexChartKit.h>

@interface XMLParser : NSObject<NSXMLParserDelegate>

@property NSString *element;
@property NSDictionary *attributes;
@property NSDateFormatter *dateFormatter;
@property NSXMLParser *parser;

@property NSMutableArray *array;

@property NSDate *currentDate;
@property NSString *currentWeatherDescription;
@property NSNumber *currentHighTemp;
@property NSNumber *currentLowTemp;
@property NSNumber *currentHumidity;
@property NSNumber *currentPressure;


-(id)initWithArray: (NSMutableArray *) array;
-(void)parseDataFor:(FlexChart *) chart;
@end
