//
//  FetchWeatherData.m
//  WeatherParser
//
//  Created by kelley.ricker on 12/15/15.
//  Copyright © 2015 GrapeCity. All rights reserved.
//

#import "FetchWeatherData.h"
#import "ViewController.h"
@implementation FetchWeatherData

+(void)placeJSONGetRequest:(NSString *)location withHandler:(void (^)(NSData *data, NSURLResponse *response, NSError *error))ourBlock {
    
    NSString *urlString = [[@"http://api.openweathermap.org/data/2.5/forecast?zip=" stringByAppendingString:location] stringByAppendingString:@"&units=imperial&APPID=a0a0e5e6d1ded0c79e853990c86f957b"];
    
    NSURL *url = [NSURL URLWithString:urlString];
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    [[[NSURLSession sharedSession] dataTaskWithRequest:request completionHandler:ourBlock] resume];
}
+(void)placeXMLGetRequest:(NSString *)location withHandler:(void (^)(NSData *data, NSURLResponse *response, NSError *error))ourBlock {
    
    NSString *urlString = [[@"http://api.openweathermap.org/data/2.5/forecast?zip=" stringByAppendingString:location] stringByAppendingString:@"&units=imperial&mode=xml&APPID=a0a0e5e6d1ded0c79e853990c86f957b"];
    
    NSURL *url = [NSURL URLWithString:urlString];
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    [[[NSURLSession sharedSession] dataTaskWithRequest:request completionHandler:ourBlock] resume];
}
@end
